# Rally Rush: src/drone.hpp File Reference

Loading...
Searching...
No Matches
drone.hpp File Reference
`#include "car_player.hpp"`
`#include "godot_cpp/classes/animation_player.hpp"`
`#include "godot_cpp/classes/navigation_agent3d.hpp"`
`#include "godot_cpp/classes/packed_scene.hpp"`
`#include <godot_cpp/classes/node3d.hpp>`

Go to the source code of this file.

## Classes

class | godot::Drone
| An enemy drone, moves around using navigation. Model is expected to float well above the transform origin. More...

## Namespaces

namespace | godot

## Enumerations

enum class | godot::DroneState { godot::CHASE , godot::DROP , godot::FLEE }
| State of a drone. More...